Bug 106383 - ScrollingCoordinator touch event hit rects aren't converted to proper coordinates when in nested views
Summary: ScrollingCoordinator touch event hit rects aren't converted to proper coordin...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Levi Weintraub
URL: https://code.google.com/p/chromium/is...
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-08 14:28 PST by Levi Weintraub
Modified: 2013-01-10 11:42 PST (History)
5 users (show)

See Also:


Attachments
Patch (6.47 KB, patch)
2013-01-08 14:48 PST, Levi Weintraub
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Levi Weintraub 2013-01-08 14:28:00 PST
We need to rects from nested views through convertToContainingView.
Comment 1 Levi Weintraub 2013-01-08 14:48:05 PST
Created attachment 181771 [details]
Patch
Comment 2 James Robinson 2013-01-09 21:58:18 PST
Comment on attachment 181771 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=181771&action=review

> Source/WebCore/page/scrolling/ScrollingCoordinator.cpp:188
> +        if (!r.isEmpty()) {

whole lotta' indentation here. can we get some early returns?
Comment 3 Levi Weintraub 2013-01-10 10:07:43 PST
Comment on attachment 181771 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=181771&action=review

>> Source/WebCore/page/scrolling/ScrollingCoordinator.cpp:188
>> +        if (!r.isEmpty()) {
> 
> whole lotta' indentation here. can we get some early returns?

Good point. Done.
Comment 4 Levi Weintraub 2013-01-10 11:42:04 PST
Committed in http://trac.webkit.org/changeset/139346.